scala.tools.nsc.settings

# AbsSettings

#### trait AbsSettings extends reflect.internal.settings.AbsSettings

A Settings abstraction boiled out of the original highly mutable Settings class with the intention of creating an ImmutableSettings which can be used interchangeably. Except of course without the mutants.

Linear Supertypes
reflect.internal.settings.AbsSettings, AnyRef, Any
Known Subclasses
FscSettings, GenericRunnerSettings, MutableSettings, Settings, Settings
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AbsSettings
2. AbsSettings
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### trait AbsSetting extends Ordered[Setting] with AbsSettingValue

2. #### trait AbsSettingValue extends AnyRef

   Definition Classes
     AbsSettings

3. #### trait InternalSetting extends AbsSetting

4. #### abstract type ResultOfTryToSet

5. #### abstract type Setting <: AbsSetting

   Definition Classes
     AbsSettings → AbsSettings

### Abstract Value Members

1. #### abstract def allSettings: Set[Setting]

   Attributes
     protected

2. #### abstract def errorFn: (String) ⇒ Unit

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from AbsSettings to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (AbsSettings, B)

   Implicit information
     This member is added by an implicit conversion from AbsSettings to ArrowAssoc[AbsSettings] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### implicit lazy val SettingOrdering: Ordering[Setting]

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def checkDependencies: Boolean

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def ensuring(cond: (AbsSettings) ⇒ Boolean, msg: ⇒ Any): AbsSettings

    Implicit information
      This member is added by an implicit conversion from AbsSettings to Ensuring[AbsSettings] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (AbsSettings) ⇒ Boolean): AbsSettings

    Implicit information
      This member is added by an implicit conversion from AbsSettings to Ensuring[AbsSettings] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): AbsSettings

    Implicit information
      This member is added by an implicit conversion from AbsSettings to Ensuring[AbsSettings] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): AbsSettings

    Implicit information
      This member is added by an implicit conversion from AbsSettings to Ensuring[AbsSettings] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(that: Any): Boolean

    Definition Classes
      AbsSettings → AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from AbsSettings to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AbsSettings → AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### def lookupSetting(cmd: String): Option[Setting]

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def recreateArgs: collection.immutable.List[String]

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toConciseString: String

30. #### def toString(): String

    Definition Classes
      AbsSettings → AnyRef → Any

31. #### def userSetSettings: Set[Setting]

32. #### def visibleSettings: Set[Setting]

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### def →[B](y: B): (AbsSettings, B)

    Implicit information
      This member is added by an implicit conversion from AbsSettings to ArrowAssoc[AbsSettings] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from AbsSettings to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (absSettings: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from AbsSettings to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (absSettings: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: AbsSettings

   Implicit information
     This member is added by an implicit conversion from AbsSettings to ArrowAssoc[AbsSettings] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (absSettings: ArrowAssoc[AbsSettings]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: AbsSettings

   Implicit information
     This member is added by an implicit conversion from AbsSettings to Ensuring[AbsSettings] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (absSettings: Ensuring[AbsSettings]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from reflect.internal.settings.AbsSettings

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from AbsSettings to StringAdd

### Inherited by implicit conversion any2stringfmt from AbsSettings to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from AbsSettings to ArrowAssoc[AbsSettings]

### Inherited by implicit conversion any2Ensuring from AbsSettings to Ensuring[AbsSettings]

### Ungrouped